var moderatorinterface = {
	init: function () {
		$(function () {
			var editable = $('.modeditable');
			for (var i=0; i<editable.length; i++) {
				var e = $(editable[i]);

				$('.modeditablesign',e).popover(
					{
						title: e.data('path'),
						html: true,
						trigger: 'click',
						container: 'body',
						content: function() {
							return `
								<div class="row form-group">
									<span class="col-xs-12">
										<textarea class="form-control" rows="3">`+this.parentElement.getElementsByClassName('modeditablevalue')[0].innerHTML+`</textarea>
									</span>
									<span class="col-xs-12">
										<input class="btn btn-default pull-right" type="submit" data-path="`+$(this.parentElement).data('path')+`" value="save" onClick="moderatorinterface.edit()">
									</span>
								</div>
								`;
						}
					}		
				);
			}
		})
	},
	edit: function () {
		var event = window.event;
		var value = $(event.srcElement)[0].parentElement.previousElementSibling.children[0].value;
		var path = $($(event.srcElement)[0]).data('path');

		var editable = $('.modeditable');
		for (var i=0; i<editable.length; i++) {
			var e = $(editable[i]);

			if (e.data('path') == path) {
				$('.modeditablesign',e).click();
				$(".modeditablevalue",e).html(value);
			}
		}
		moderatorinterface.set(path,value);
	},
	change: function() {
		var event = window.event;
		var value = $(event.srcElement)[0].checked;
		var path = $($(event.srcElement)[0]).data('path');
		moderatorinterface.set(path,value ? 1 : 0);
	},
	set: function(path,value) {
		var req = {};
		req[path] = value;
		$.ajax({
			method: "POST",
			url: "/edit",
			dataType: "text",
			contentType: "application/json",
			data: JSON.stringify(req)
		})
	}
};

$( document ).ready( moderatorinterface.init() );
